#
# TODO:
#	- bconds
#	- more bindings
#	- movit library - http://libregraphicsworld.org/blog/entry/introducing-movit-free-library-for-gpu-side-video-processing
#
Summary:	MLT - open source multimedia framework
Summary(pl.UTF-8):	MLT - szkielet multimedialny o otwartych źródłach
Name:		mlt
Version:	0.9.0
Release:	3
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://downloads.sourceforge.net/mlt/%{name}-%{version}.tar.gz
# Source0-md5:	1cd2d73f3ffe77a43980e99aaa4ea06c
URL:		http://www.mltframework.org/
BuildRequires:	QtGui-devel
BuildRequires:	QtSvg-devel
BuildRequires:	QtXml-devel
BuildRequires:	SDL-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	gtk+2-devel
#BuildRequires:	ladspa-devel
#BuildRequires:	lame-libs-devel
BuildRequires:	libdv-devel >= 0.102
#BuildRequires:	libmad-devel
BuildRequires:	libquicktime-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libvorbis-devel >= 1:1.0.1
BuildRequires:	libxml2-devel >= 2.5
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	sox-devel
BuildRequires:	swig-python
BuildRequires:	swfdec-devel
BuildRequires:	which
Obsoletes:	mlt++ < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MLT is an open source multimedia framework, designed and developed for
television broadcasting. It provides a toolkit for broadcasters, video
editors, media players, transcoders, web streamers and many more types
of applications. The functionality of the system is provided via an
assortment of ready to use tools, XML authoring components, and an
extendible plug-in based API.

%description -l pl.UTF-8
MLT to szkielet multimedialny o otwartych źródłach zaprojektowany i
rozwijany do nadawania telewizji. Udostępnia zestaw narzędzi dla
nadawców, edytory obrazu, odtwarzacze mediów, transkodery, narzędzia
do udostępniania strumieni przez WWW i wiele innych rodzajów
aplikacji. Funkcjonalność systemu jest zapewniona poprzez asortyment
gotowych do użycia narzędzi, komponentów do tworzenia XML-a i
rozszerzalne API oparte na wtyczkach.

%package -n python-mlt
Summary:	MLT Python bindings
Summary(pl.UTF-8):	Wiązania MLT dla Pythona
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description -n python-mlt
Python bindings for MLT - open source multimedia framework.

%package devel
Summary:	Header files for MLT
Summary(pl.UTF-8):	Pliki nagłówkowe dla MLT
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	mlt++-devel < %{version}

%description devel
This package contains header files for MLT.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe dla MLT.

%prep
%setup -q

# current
sed -i -e 's#/usr/lib/libvdpau.so#%{_libdir}/libvdpau.so.1#g' ./src/modules/avformat/vdpau.c
# in case of future changes
sed -i -e 's#/usr/local/lib/libvdpau.so#%{_libdir}/libvdpau.so.2#g' ./src/modules/avformat/vdpau.c

%build
%configure \
	--enable-gpl \
	--enable-gpl3 \
%ifarch %{x8664}
	--disable-motion-est \
%else
	--enable-motion-est \
%endif
	--disable-debug \
%ifarch i586 i686 %{x8664}
	--enable-mmx \
%else
	--disable-mmx \
%endif
%ifarch %{x8664}
	--enable-sse \
	--enable-sse2 \
%else
	--disable-sse \
	--disable-sse2 \
%endif
	--avformat-swscale \
	--avformat-vdpau \
	--qimage-includedir=%{_includedir}/qt4 \
	--qimage-libdir=%{_libdir} \
	--swig-languages=python

%{__make} \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install src/swig/python/{*.py,*.so} $RPM_BUILD_ROOT%{py_sitedir}

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %ghost %{_libdir}/*.so.?
%attr(755,root,root) %{_libdir}/*.so.*.*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*
%{_datadir}/mlt*

%files -n python-mlt
%defattr(644,root,root,755)
%{py_sitedir}/*.py[co]
%attr(755,root,root) %{py_sitedir}/*.so

%files devel
%defattr(644,root,root,755)
%{_pkgconfigdir}/*.pc
%{_includedir}/mlt*
%{_libdir}/*.so
%changelog
* Mon Sep 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mlt.git;a=log;h=master

* Mon Sep 23 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 303de74
- rel 3; libvdpau.so paths

* Mon Sep 23 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> bd803dd
- rel 2; enable mmx, sse, sse2, avformat vdpau, gpl3 components, swfdec

* Wed Aug 28 2013 Jan Rękorajski <baggins@pld-linux.org> 6c4a5b8
- up to 0.9.0

* Mon Apr 22 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e25197c
- up to 0.8.8

* Sun Feb 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b4bade3
- release 2 (by relup.sh)

* Tue Nov 13 2012 Jan Rękorajski <baggins@pld-linux.org> e47a823
- fix build with ffmpeg 1.0

* Thu Nov 08 2012 Jan Rękorajski <baggins@pld-linux.org> 9231495
- updated to 0.8.2

* Thu Jul 12 2012 Jan Rękorajski <baggins@pld-linux.org> 6abdca7
- Updated to 0.8.0
QImage dir is qt4

* Sat Sep 10 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1efbe3e
- up to 0.7.4

* Fri Sep 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> fb25d20
- release 4

* Sun Jul 24 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 53edfa8
- release 3

* Mon Jun 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 25b4c38
- release 2

* Sat Feb 05 2011 sparky <sparky@pld-linux.org> 1393323
- make sure package name and name specified in %files match

* Wed Sep 15 2010 Robert Tomasik <rotom@pld-linux.org> 482ef9f
- 0.5.10

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3a1f5bc
- release 3

* Fri Jun 18 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e6c54b0
- release 2

* Wed May 12 2010 sparky <sparky@pld-linux.org> aa81c92
- %files fixes
- BR: QtGui-devel, QtSvg-devel, QtXml-devel, python-devel
- dropped BR: ladspa-devel, lame-libs-devel, libmad-devel, qt-devel

* Sat Mar 13 2010 Jacek Konieczny <jajcus@pld-linux.org> 35add24
- Version: 0.5.2
- use swscale for avformat (otherwise it won't even compile)
- sse2 disabled (won't compile with enabled)
- python bindings added

* Thu Dec 27 2007 Elan Ruusamäe <glen@pld-linux.org> 8dedc10
- rel 2

* Mon Aug 13 2007 Mateusz Korniak <matkor@pld-linux.org> 14ff330
- Strict -devel R. TODO added.

